All Questions

Tagged with
Filter by
Sorted by
Tagged with
2
votes
1answer
25 views

How to prevent apk from overriding config files

So I've stumbled upon issue after issue every time I upgrade using apk upgrade that apk keeps on adding default config files without my consent, is there any way to have apk either never override/...
1
vote
1answer
118 views

How to show details of error in Alpine apk

I use Alpine Linux 3.9.3 x86_64 when I issue: # apk upgrade the output is: 3 errors; 1973 MiB in 519 packages How can I get details about those 3 errors? I tried --verbose flag but result is same....
1
vote
1answer
575 views

Alpine Linux apk add gives permission error

I'm trying to install packages in a docker image based on alpine. The host system is CentOS system, system-release: CentOS Linux release 7.6.1810 (Core). Here's what I do: # docker run -td alpine:3....
0
votes
1answer
320 views

Alpine Linux - Ignoring APKINDEX : Bad file Descriptor

when I do apk update or apk add ..., gives me error below: fetch http://dl-4.alpinelinux.org/alpine/v3.8/main/x86_64/APKINDEX.tar.gz ERROR: http://dl-4.alpinelinux.org/alpine/v3.8/main: Bad file ...
0
votes
1answer
103 views

How to install audit2allow on Alpine Linux 3.5?

I am coming from an apt-get background and am now trying (and failing) to use Alpine Linux's apk utility for package management. I try running apk install audit2allow and end up with a help message ...
2
votes
2answers
619 views

How to determine apk package name from search results

On Alpine Linux, given the results of an apk search, how do I determine the package name to give to apk add? For example, suppose I forgot the how to spell "lighttpd", or I forgot exactly what the ...
3
votes
2answers
4k views

Install apk tool on Alpine Linux

I'm fiddling with a Docker image, built from a Virtualbox VM using Packer. The image is Alpine Linux 5.3.0, but apk seems to have been removed. How can I reinstall apk, or build it from source? ...
0
votes
2answers
3k views

Install Node.js 4 on Alpine Linux

I am new to Alpine Linux and I tried to install Node.js 4. According to this I can specify the version like this: apk add nodejs=4 I also tried this because I though maybe it doesn't understand ...
1
vote
1answer
6k views

ERROR: unsatisfiable constraints: tor (missing)

I'm trying to add alpine package tor and getting a following error: root@linode:~/# docker run -it alpine /bin/sh / # apk update fetch http://dl-cdn.alpinelinux.org/alpine/v3.4/main/x86_64/APKINDEX....
11
votes
2answers
7k views

How to search for a file in apk packages

I would like to know, given a binary's name, which package I should install on Alpine Linux. How can I do that?